<!--<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon"></app-page-title>-->
<div class="app-page-title">
    <div class="page-title-wrapper">
        <div class="page-title-heading">
            <div class="page-title-icon">
                <i class="icon {{icon}}"></i>
            </div>
            <div>
                Mantenimiento {{ seccion }}
                <div class="page-title-subheading">
                    {{subheading}}
                </div>
            </div>
        </div>
        <!--<div class="page-title-actions">
            <button type="button"
                    class="btn-shadow d-inline-flex align-items-center btn btn-success"
                    (click)="newRecord()">
                <fa class="mr-2" name="plus"></fa>
                Nuevo
            </button>
        </div>-->
    </div>
</div>

<div class="main-card mb-3 card">
    <div class="card-body">

        <div *ngIf="!loading">

            <kendo-grid [data]="dataGrid"
                        [filter]="filter"
                        [filterable]="true"
                        (filterChange)="filterChange($event)"
                        [selectable]="true"
                        [navigable]="true"
                        [reorderable]="true"
                        [resizable]="true"
                        [sort]="sort"
                        [sortable]="true"
                        (sortChange)="sortChange($event)"
                        [groupable]="true"
                        [group]="groups"
                        (groupChange)="groupChange($event)"
                        (edit)="editRow($event, modalDatos)"
                        (remove)="deleteRow($event)"
                        style="height: 87vh">
                <ng-template kendoGridToolbarTemplate>
                    <div class="row">
                        <div class="col d-flex justify-content-end">
                            <button (click)="newRow(modalDatos)" class="btn btn-success">
                                <i class="fa fa-plus mr-2"></i>Nuevo
                            </button>
                            <button (click)="printPDF()" class="btn btn-danger ml-1" [disabled]="!dataGrid.data">
                                <i class="far fa-file-pdf mr-2"></i>PDF
                            </button>
                        </div>
                    </div>
                </ng-template>
                <div *ngFor="let item of gridFields">
                    <kendo-grid-column [field]="item.field" [title]="item.title" [width]="item.width"
                                       [filterable]="item.filtro"></kendo-grid-column>
                </div>
                <kendo-grid-column field="Inactivo" title="Inactivo" width="120">
                    <ng-template kendoGridFilterCellTemplate>
                        <kendo-switch (valueChange)="switchChange($event)" offLabel="No" [checked]="checked"
                                      onLabel="Si">
                        </kendo-switch>
                    </ng-template>
                    <ng-template kendoGridCellTemplate let-dataItem>
                        <input type="checkbox" [checked]="dataItem.Inactivo" disabled/>
                    </ng-template>
                </kendo-grid-column>
                <kendo-grid-command-column title="Actions" width="190">
                    <ng-template kendoGridCellTemplate let-isNew="isNew">
                        <button kendoGridEditCommand [primary]="true">Editar</button>
                        <button kendoGridRemoveCommand>Eliminar</button>
                    </ng-template>
                </kendo-grid-command-column>
            </kendo-grid>

        </div>

        <app-loading *ngIf="loading"></app-loading>

    </div>
</div>


<ng-template #modalDatos let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h4 class="modal-title" *ngIf="!flagEdit">Nuevo</h4>
        <h4 class="modal-title" *ngIf="flagEdit">Editar</h4>
        <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <form [formGroup]="myFormGroup" class="k-form">
            <div class="row">
                <label class="k-form-field col-6">
                    <span>No. Depto</span>
                    <input type="number" class="k-textbox" name="depto"
                           [(ngModel)]="myFormGroup.value.depto"
                           formControlName="depto"
                           min="0" max="99"/>
                </label>
                <label class="k-form-field col-6">
                    <span>Inactivo</span>
                    <kendo-switch name="Inactivo" [(ngModel)]="myFormGroup.value.Inactivo"
                                  formControlName="Inactivo"
                                  [onLabel]="'Si'" [offLabel]="'No'">
                    </kendo-switch>
                </label>
            </div>
            <div class="row">
                <label class="k-form-field col-12">
                    <span>Descripción</span>
                    <input type="text" class="k-textbox" name="ddesc" [(ngModel)]="myFormGroup.value.ddesc"
                           formControlName="ddesc"
                           maxlength="30">
                </label>
            </div>

            <div class="form-row btn-group modal-footer">
                <button type="button" class="btn btn-secondary" (click)="closeForm(); c('Close click')">
                    Cancelar
                </button>
                <button type="button" class="btn btn-success" (click)="guardarForm()">
                    Guardar
                </button>
            </div>

        </form>
    </div>
</ng-template>
